package com.rugvedsarika.easymath

import android.app.Application
import com.rugvedsarika.easymath.data.db.AppDatabase
import com.rugvedsarika.easymath.data.repository.MathRepository
import com.rugvedsarika.easymath.utils.AudioManager

class EasyMathApp : Application() {
    val database by lazy { AppDatabase.getDatabase(this) }
    val repository by lazy { MathRepository(database.mathDao()) }
    val audioManager by lazy { AudioManager(this) }
}
